commit:     256eab85cf669065916f63c7d0433ee152131e5b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 18 16:53:52 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 16:56:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=256eab85

dev-python/setuptools: Bump to 71.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/setuptools/Manifest                 |   1 +
 dev-python/setuptools/setuptools-71.0.0.ebuild | 131 +++++++++++++++++++++++++
 2 files changed, 132 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 67175342c436..0bb69c82194f 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,3 +1,4 @@
 DIST setuptools-70.1.1.tar.gz 2292324 BLAKE2B 
9d489117a80ef9cefab6b730680a614d990f338aa54579928bafbe3c87dbb5e4db8527b8a0b6c1090bcd3504be97cc69a9ce979e593d0634d9b66b66bccb25e5
 SHA512 
63452aa1e1d1dea6ad622a21fcc9334bc3603e45de9a1485f79776e02a0fb3b0a0a8b3e886af73845c3c373348c7021f2e06a5665676e9015ee9855441512136
 DIST setuptools-70.2.0.tar.gz 2332711 BLAKE2B 
d552e3c7fb8bad3829b6c210827af2a3993afa7c534502d08cb7f87df846f9939b75ce181217c673be7a0c71e81ede437b5f44cf9a42ff13133a9f922e426c1d
 SHA512 
a2b0aaf57d012326475ee7637e65ebbc3b1a09b338850e8b0c6a0f169c49651f934c813d6d347ba1ff04894a4d8341bb5fedbea35d45dbc19f317587bbb35094
 DIST setuptools-70.3.0.tar.gz 2333112 BLAKE2B 
cffe583c1440e2c6ed049fc0c3da70d6b3f43710cec8eeba9b96906d7d3113c0156ac0398f12355e2c0eeeb73dc351e56eea117361c83a4819e255f2b44d01da
 SHA512 
9f330bd9867631da69ee0886551033a6e8ef3cf52cfe38aad9fcd359cbfc2e0d7ee8c85382b29f8d52568c674893dc07f2b2a896afe5154e6140bb3209ee50a0
+DIST setuptools-71.0.0.tar.gz 2343301 BLAKE2B 
9150d60b2fedb91a91dd9738d81791bf8e6546f71842e3463fba98347aa6b8ad25e121e0177d096fe092e8689ec3cae39de1c71a607812ea518b007791be8e25
 SHA512 
41a10469e1527dfaf1edaeca96c3c3c725ecf9ee3a59cac0cf48a2e66e178bd1c375e735a2e545b4d5c19b57ea9e19e78dfc4bdf95704a19780c82c40b9bc606

diff --git a/dev-python/setuptools/setuptools-71.0.0.ebuild 
b/dev-python/setuptools/setuptools-71.0.0.ebuild
new file mode 100644
index 000000000000..a0c96d8a1ad6
--- /dev/null
+++ b/dev-python/setuptools/setuptools-71.0.0.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{10..13} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+       https://github.com/pypa/setuptools/
+       https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !!<dev-python/setuptools-rust-1.8.0
+       >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+       >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+       >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+       >=dev-python/packaging-24[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-2.6.2-r1[${PYTHON_USEDEP}]
+       >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+       ' 3.10)
+"
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               $(python_gen_cond_dep '
+                       >=dev-python/build-1.0.3[${PYTHON_USEDEP}]
+                       >=dev-python/ini2toml-0.14[${PYTHON_USEDEP}]
+                       >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+                       >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+                       >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+                       dev-python/jaraco-test[${PYTHON_USEDEP}]
+                       dev-python/pip[${PYTHON_USEDEP}]
+                       dev-python/pip-run[${PYTHON_USEDEP}]
+                       dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+                       >=dev-python/pytest-home-0.5[${PYTHON_USEDEP}]
+                       dev-python/pytest-subprocess[${PYTHON_USEDEP}]
+                       dev-python/pytest-timeout[${PYTHON_USEDEP}]
+                       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+                       >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+                       >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+               ' "${PYTHON_TESTED[@]}")
+       )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+#
+# trove-classifiers are optionally used in validation, if they are
+# installed.  Since we really oughtn't block them, let's always enforce
+# the newest version for the time being to avoid errors.
+# https://github.com/pypa/setuptools/issues/4459
+PDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       >=dev-python/trove-classifiers-2024.7.2[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+       local PATCHES=(
+               # TODO: remove this when we're 100% PEP517 mode
+               "${FILESDIR}/setuptools-62.4.0-py-compile.patch"
+       )
+
+       distutils-r1_src_prepare
+
+       # breaks tests
+       sed -i -e '/--import-mode/d' pytest.ini || die
+
+       # remove bundled dependencies
+       rm -r */_vendor setuptools/_distutils/_vendor || die
+
+       find -name '*.py' -exec sed \
+               -e 's:from [.]_vendor[.]:from :' \
+               -i {} + || die
+}
+
+python_test() {
+       if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+               return
+       fi
+
+       local EPYTEST_DESELECT=(
+               # network
+               # TODO: see if PRE_BUILT_SETUPTOOLS_* helps
+               
setuptools/tests/config/test_apply_pyprojecttoml.py::test_apply_pyproject_equivalent_to_setupcfg
+               
setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+               
setuptools/tests/test_build_meta.py::test_legacy_editable_install
+               setuptools/tests/test_distutils_adoption.py
+               setuptools/tests/test_editable_install.py
+               
setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+               setuptools/tests/test_virtualenv.py::test_clean_env_install
+               
setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+               
setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+               # TODO
+               
setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+               
setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+               setuptools/tests/test_extern.py::test_distribution_picklable
+               # expects bundled deps in virtualenv
+               
setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+               
setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+               # fails if python-xlib is installed
+               
setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+               # TODO, probably some random package
+               
setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+               # Internet, sigh
+               setuptools/tests/test_integration.py
+               # flaky
+               
setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_transitive_extra_dependency
+               
setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_distutils_command_dep
+       )
+
+       local EPYTEST_XDIST=1
+       epytest -o tmp_path_retention_policy=all setuptools
+}

Reply via email to